<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class MerchantToDealerRefund extends Model
{
    use HasFactory;
    protected $guarded = [
        'id'
    ];

    public $table = "merchant_to_dealer_refunds";

    public function merchantInfo()
    {
        return $this->hasOne('App\Models\Merchant', 'id', 'merchant_id');
    }
    public function orgUserInfo()
    {
        return $this->hasOne('App\Models\OrgUser', 'id', 'dealer_id');
    }
    public function orgInfo()
    {
        return $this->hasOne('App\Models\Organisation', 'id', 'dealer_id');
    }
}
